## org.apache.mahout.clustering.dirichlet
Class DirichletMapper

    java.lang.Object
      org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.Text,VectorWritable>
          org.apache.mahout.clustering.dirichlet.DirichletMapper

    public class DirichletMapper

extends org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.Text,VectorWritable>

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Mapper
`org.apache.hadoop.mapreduce.Mapper.Context`

Constructor Summary
`DirichletMapper()`

Method Summary
`static DirichletState` `getDirichletState(org.apache.hadoop.conf.Configuration conf)`
`protected static DirichletState` `loadState(org.apache.hadoop.conf.Configuration conf, java.lang.String statePath, ModelDistribution<VectorWritable> modelDistribution, double alpha, int k)`
`protected void` `map(org.apache.hadoop.io.WritableComparable<?> key, VectorWritable v, org.apache.hadoop.mapreduce.Mapper.Context context)`
`void` `setup(DirichletState state)`
`protected void` `setup(org.apache.hadoop.mapreduce.Mapper.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Mapper
`cleanup, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DirichletMapper

    public DirichletMapper()

Method Detail

### map

    protected void map(org.apache.hadoop.io.WritableComparable<?> key,
                       VectorWritable v,
                       org.apache.hadoop.mapreduce.Mapper.Context context)
                throws java.io.IOException,
                       java.lang.InterruptedException

  Overrides:
    `map` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.Text,VectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### setup

    protected void setup(org.apache.hadoop.mapreduce.Mapper.Context context)
                  throws java.io.IOException,
                         java.lang.InterruptedException

  Overrides:
    `setup` in class `org.apache.hadoop.mapreduce.Mapper<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.Text,VectorWritable>`
  Throws:
    `java.io.IOException`
    `java.lang.InterruptedException`

### setup

    public void setup(DirichletState state)

### getDirichletState

    public static DirichletState getDirichletState(org.apache.hadoop.conf.Configuration conf)

### loadState

    protected static DirichletState loadState(org.apache.hadoop.conf.Configuration conf,
                                              java.lang.String statePath,
                                              ModelDistribution<VectorWritable> modelDistribution,
                                              double alpha,
                                              int k)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.